--- title: "changeCloudMysqlServerSpec" slug: "database-vmysql-changecloudmysqlserverspec" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vmysql-changecloudmysqlserverspec" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # changeCloudMysqlServerSpec Available in VPC Change the DB server specifications for a Cloud DB for MySQL instance. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vmysql/v2/changeCloudMysqlServerSpec | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) request headers](/docs/en/database-vmysql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code of the Cloud DB for MySQL instance whose DB server specifications you want to change. - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). | | `isRolling` | Boolean | Optional | Rolling upgrade status - `true` \| `false` (default) - `true`: Minimize service disruption by sequentially changing server instances one by one (but only supported in G3 specifications). - `false`: Change after stopping the all servers simultaneously. | | `cloudMysqlInstanceNo` | String | Required | Cloud DB for MySQL instance number - See [getCloudMysqlInstanceList](/docs/en/database-vmysql-getcloudmysqlinstancelist). | | `cloudMysqlProductCode` | String | Required | Cloud DB for MySQL product code - Determine the server specifications for the Cloud DB for MySQL instance to create. - See [getCloudMysqlProductList](/docs/en/database-vmysql-getcloudmysqlproductlist). | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/changeCloudMysqlServerSpec ?regionCode=KR &cloudMysqlInstanceNo=****890 &cloudMysqlProductCode=SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) response status codes](/docs/en/database-vmysql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: - If `responseFormatType=json` ``` { "changeCloudMysqlServerSpecResponse": { "requestId": "eb46ade8-****-****-****-133bcbc382c1", "returnCode": "0", "returnMessage": "success", "totalRows": 1, "cloudMysqlInstanceList": [ { "cloudMysqlInstanceNo": "****890", "cloudMysqlServiceName": "test-****", "cloudMysqlInstanceStatusName": "upgrading", "cloudMysqlInstanceStatus": { "code": "CREAT", "codeName": "CLOUD DATABASE(VPC) Created State" }, "cloudMysqlInstanceOperation": { "code": "UPGD", "codeName": "CLOUD DATABASE(VPC) Upgrade OP" }, "cloudMysqlImageProductCode": "SW.VDBAS.DBAAS.LNX64.CNTOS.0708.MYSQL.8025.B050", "engineVersion": "MYSQL8.0.25", "license": { "code": "GPL", "codeName": "General Public License" }, "cloudMysqlPort": 13306, "isHa": true, "isMultiZone": true, "isBackup": true, "backupFileRetentionPeriod": 10, "backupTime": "02:00", "generationCode": "G2", "createDate": "2024-05-23T11:25:09+0900", "accessControlGroupNoList": [], "cloudMysqlConfigList": [], "cloudMysqlServerInstanceList": [ { "cloudMysqlServerName": "test-****-001-e04", "cloudMysqlServerRole": { "code": "M", "codeName": "Master" }, "cloudMysqlServerInstanceStatusName": "settingUp", "cloudMysqlServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE(VPC) Server Running State" }, "cloudMysqlServerInstanceOperation": { "code": "SETUP", "codeName": "CLOUD DATABASE(VPC) Server Setup OP" }, "cloudMysqlProductCode": "SVR.VDBAS.STAND.C004.M016.NET.HDD.B050.G002", "regionCode": "KR", "zoneCode": "KR-1", "vpcNo": "****83", "subnetNo": "****91", "isPublicSubnet": true, "dataStorageType": { "code": "SSD", "codeName": "SSD" }, "isStorageEncryption": true, "dataStorageSize": 10737418240, "cpuCount": 2, "memorySize": 8589934592, "createDate": "2024-05-23T11:25:09+0900" }, { "cloudMysqlServerName": "test-****-002-e05", "cloudMysqlServerRole": { "code": "H", "codeName": "Standby Master" }, "cloudMysqlServerInstanceStatusName": "settingUp", "cloudMysqlServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE(VPC) Server Running State" }, "cloudMysqlServerInstanceOperation": { "code": "SETUP", "codeName": "CLOUD DATABASE(VPC) Server Setup OP" }, "cloudMysqlProductCode": "SVR.VDBAS.STAND.C004.M016.NET.HDD.B050.G002", "regionCode": "KR", "zoneCode": "KR-2", "vpcNo": "****83", "subnetNo": "****93", "isPublicSubnet": true, "dataStorageType": { "code": "SSD", "codeName": "SSD" }, "isStorageEncryption": true, "dataStorageSize": 10737418240, "cpuCount": 2, "memorySize": 8589934592, "createDate": "2024-05-23T11:25:09+0900" } ] } ] } } ``` - If `responseFormatType=xml` (default) ``` eb46ade8-****-****-****-133bcbc382c1 0 success 1 ****890 test-**** upgrading CREAT CLOUD DATABASE(VPC) Created State UPGD CLOUD DATABASE(VPC) Upgrade OP SW.VDBAS.DBAAS.LNX64.CNTOS.0708.MYSQL.8025.B050 MYSQL8.0.25 GPL General Public License 13306 true true true 10 02:00 G2 2024-05-23T11:25:09+0900 test-****-001-4y1v M Master settingUp RUN CLOUD DATABASE(VPC) Server Running State SETUP CLOUD DATABASE(VPC) Server Setup OP SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002 KR KR-1 ****83 ****91 true SSD SSD true 10737418240 2 8589934592 2024-05-23T11:25:09+0900 test-****-002-e05 H Standby Master settingUp RUN CLOUD DATABASE(VPC) Server Running State SETUP CLOUD DATABASE(VPC) Server Setup OP SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002 KR KR-2 ****83 ****93 true SSD SSD true 10737418240 2 8589934592 2024-05-23T11:25:09+0900 ```